package cn.quantgroup.xyqb.service.auth;

import cn.quantgroup.xyqb.model.IdCardInfo;

import java.text.ParseException;

/**
 * Created by Miraculous on 15/7/10.
 */
public interface IIdCardService {

    boolean isIdCardValid(String idCard) throws ParseException;

    IdCardInfo getIdCardInfo(String idCardStr);

    // 当身份证不合法，直接抛出异常。
    IdCardInfo getIdCardInfoWithExceptions(String idCardStr) throws ParseException;
}
